Page MenuHomePhabricator

upgrade cloud-vps openstack to Openstack version 'Yoga'
Closed, ResolvedPublic

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+1 -5
operations/puppetproduction+1 -1
operations/puppetproduction+2 -2
operations/puppetproduction+4 -0
operations/puppetproduction+1 -1
operations/puppetproduction+94 -0
operations/puppetproduction+1 -1
operations/puppetproduction+42 -0
operations/puppetproduction+79 -0
operations/puppetproduction+110 -0
operations/puppetproduction+91 -23
operations/puppetproduction+267 -0
operations/puppetproduction+468 -0
operations/puppetproduction+9 -10
operations/puppetproduction+80 -0
operations/puppetproduction+4 -0
operations/puppetproduction+23 -0
operations/puppetproduction+17 K -0
operations/puppetproduction+54 -0
operations/puppetproduction+151 -0
Show related patches Customize query in gerrit

Related Objects

StatusSubtypeAssignedTask
ResolvedAndrew
ResolvedAndrew
Resolvedrook
ResolvedAndrew
ResolvedAndrew
Resolvedtaavi
Resolvedaborrero
Resolvedaborrero
Resolveddcaro
Resolveddcaro
Resolveddcaro
Resolveddcaro
Duplicatedcaro
Resolveddcaro
Resolvedtaavi
Resolveddcaro
Resolvedaborrero
Resolveddcaro
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Resolvedayounsi
Resolvedrook
Resolvedaborrero
Resolvedrook
Resolvedrook
OpenNone
ResolvedAndrew
ResolvedAndrew

Event Timeline

taavi added a subtask: Restricted Task.Oct 5 2022, 7:32 AM
taavi removed a subtask: Restricted Task.
taavi added a parent task: Restricted Task.

Change 851115 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Add openstack::clientpackages::vms::yoga classes

https://gerrit.wikimedia.org/r/851115

Change 851115 merged by Andrew Bogott:

[operations/puppet@production] Add openstack::clientpackages::vms::yoga classes

https://gerrit.wikimedia.org/r/851115

Change 851119 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Add openstack::clientpackages::vms::yoga

https://gerrit.wikimedia.org/r/851119

Change 851119 merged by Andrew Bogott:

[operations/puppet@production] Add openstack::clientpackages::vms::yoga

https://gerrit.wikimedia.org/r/851119

Change 851120 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Add Openstack files and templates for version 'yoga'

https://gerrit.wikimedia.org/r/851120

Change 851124 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Add openstack::designate::service::yoga

https://gerrit.wikimedia.org/r/851124

Change 851142 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] codfw1dev designate -> version 'yoga'

https://gerrit.wikimedia.org/r/851142

Change 851143 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Add openstack::serverpackages::yoga::bullseye

https://gerrit.wikimedia.org/r/851143

Change 851120 merged by Andrew Bogott:

[operations/puppet@production] Add Openstack files and templates for version 'yoga'

https://gerrit.wikimedia.org/r/851120

Change 851143 merged by Andrew Bogott:

[operations/puppet@production] Add openstack::serverpackages::yoga::bullseye

https://gerrit.wikimedia.org/r/851143

Change 851124 merged by Andrew Bogott:

[operations/puppet@production] Add openstack::designate::service::yoga

https://gerrit.wikimedia.org/r/851124

Change 851142 merged by Andrew Bogott:

[operations/puppet@production] codfw1dev designate -> version 'yoga'

https://gerrit.wikimedia.org/r/851142

Change 851168 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack: manifests for glance, nova, keystone, placement version Y

https://gerrit.wikimedia.org/r/851168

Change 851169 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack: Add manifests for Neutron version Yoga

https://gerrit.wikimedia.org/r/851169

Change 851170 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack: Add manifests for Trove version Yoga

https://gerrit.wikimedia.org/r/851170

Change 851171 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack: Add manifests for Heat and Magnum version Yoga

https://gerrit.wikimedia.org/r/851171

Change 851172 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack: Add manifests for Cinder version Yoga

https://gerrit.wikimedia.org/r/851172

Change 851173 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack: Add manifests for Barbican version Yoga

https://gerrit.wikimedia.org/r/851173

Change 851174 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] codfw1dev openstack -> version 'yoga'

https://gerrit.wikimedia.org/r/851174

Change 852270 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] designate nova_fixed_multi: use _update_or_delete_recordset for record delete

https://gerrit.wikimedia.org/r/852270

Change 852270 merged by Andrew Bogott:

[operations/puppet@production] designate nova_fixed_multi: use _update_or_delete_recordset

https://gerrit.wikimedia.org/r/852270

Change 851168 merged by Andrew Bogott:

[operations/puppet@production] Openstack: manifests for glance, nova, keystone, placement version Y

https://gerrit.wikimedia.org/r/851168

Change 851169 merged by Andrew Bogott:

[operations/puppet@production] Openstack: Add manifests for Neutron version Yoga

https://gerrit.wikimedia.org/r/851169

Change 851170 merged by Andrew Bogott:

[operations/puppet@production] Openstack: Add manifests for Trove version Yoga

https://gerrit.wikimedia.org/r/851170

Change 851171 merged by Andrew Bogott:

[operations/puppet@production] Openstack: Add manifests for Heat and Magnum version Yoga

https://gerrit.wikimedia.org/r/851171

Change 851172 merged by Andrew Bogott:

[operations/puppet@production] Openstack: Add manifests for Cinder version Yoga

https://gerrit.wikimedia.org/r/851172

Change 851173 merged by Andrew Bogott:

[operations/puppet@production] Openstack: Add manifests for Barbican version Yoga

https://gerrit.wikimedia.org/r/851173

Change 851174 merged by Andrew Bogott:

[operations/puppet@production] codfw1dev openstack -> version 'yoga'

https://gerrit.wikimedia.org/r/851174

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-02T23:00:13Z] <wm-bot2> Upgraded and rebooted host cloudcontrol2001-dev.wikimedia.org (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-02T23:13:27Z] <wm-bot2> Upgraded and rebooted host cloudcontrol2004-dev.wikimedia.org (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-02T23:29:28Z] <wm-bot2> Upgraded and rebooted host cloudnet2005-dev.codfw.wmnet (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-02T23:38:47Z] <wm-bot2> Upgraded and rebooted host cloudnet2006-dev.codfw.wmnet (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-02T23:39:47Z] <wm-bot2> Upgraded and rebooted host cloudbackup1001-dev.eqiad.wmnet (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-03T00:08:20Z] <wm-bot2> Upgraded and rebooted host cloudcontrol2004-dev.wikimedia.org (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-03T19:19:20Z] <wm-bot2> Upgraded and rebooted host cloudbackup1001-dev.eqiad.wmnet (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-03T19:24:38Z] <wm-bot2> Upgraded and rebooted host cloudbackup1002-dev.eqiad.wmnet (T305828) - cookbook ran by andrew@bullseye

Change 853383 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Cinder: add cinder-api-uwsgi.ini from X-version cinder package

https://gerrit.wikimedia.org/r/853383

Change 853383 merged by Andrew Bogott:

[operations/puppet@production] Cinder: add cinder-api-uwsgi.ini from X-version cinder package

https://gerrit.wikimedia.org/r/853383

Change 853385 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Cinder: cinder-api-uwsgi.ini is a file, not a template

https://gerrit.wikimedia.org/r/853385

Change 853385 merged by Andrew Bogott:

[operations/puppet@production] Cinder: cinder-api-uwsgi.ini is a file, not a template

https://gerrit.wikimedia.org/r/853385

Mentioned in SAL (#wikimedia-cloud) [2022-11-04T17:57:16Z] <andrewbogott> removing cinderv2 API endpoints from keystone catalog; this is deprecated and removed in Yoga. prep for T305828

Change 854096 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] eqiad1 designate -> Yoga

https://gerrit.wikimedia.org/r/854096

Change 854096 merged by Andrew Bogott:

[operations/puppet@production] eqiad1 designate -> Yoga

https://gerrit.wikimedia.org/r/854096

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-07T20:50:44Z] <wm-bot2> Upgraded and rebooted host cloudservices1005.wikimedia.org (T305828) - cookbook ran by andrew@bullseye

Mentioned in SAL (#wikimedia-cloud-feed) [2022-11-07T21:01:04Z] <wm-bot2> Upgraded and rebooted host cloudservices1004.wikimedia.org (T305828) - cookbook ran by andrew@bullseye

Change 856645 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] cloudbackup100[12]-dev to openstack version 'yoga'

https://gerrit.wikimedia.org/r/856645

Change 856645 merged by Andrew Bogott:

[operations/puppet@production] cloudbackup100[12]-dev to openstack version 'yoga'

https://gerrit.wikimedia.org/r/856645

Change 856647 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Horizon: put into maintenance mode for Yoga upgrade

https://gerrit.wikimedia.org/r/856647

Change 856648 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] eqiad1 OpenStack to version 'yoga'

https://gerrit.wikimedia.org/r/856648

Change 856647 merged by Andrew Bogott:

[operations/puppet@production] Horizon: put into maintenance mode for Yoga upgrade

https://gerrit.wikimedia.org/r/856647

Mentioned in SAL (#wikimedia-cloud) [2022-11-14T19:28:22Z] <andrewbogott> beginning OpenStack upgrade in eqiad1 -- T305828

Change 856648 merged by Andrew Bogott:

[operations/puppet@production] eqiad1 OpenStack to version 'yoga'

https://gerrit.wikimedia.org/r/856648

Mentioned in SAL (#wikimedia-operations) [2022-11-14T19:50:39Z] <andrew@deploy1002> Started deploy [horizon/deploy@9d02cd6]: Upgrade horizon to Z to prepare for Openstack upgrades past Wallaby -- T305828

Mentioned in SAL (#wikimedia-operations) [2022-11-14T19:55:21Z] <andrew@deploy1002> Finished deploy [horizon/deploy@9d02cd6]: Upgrade horizon to Z to prepare for Openstack upgrades past Wallaby -- T305828 (duration: 04m 41s)

Andrew claimed this task.